package com.jwipc.sys.client;

import java.util.Set;

/**
 * @author shenyang.ou
 * @date 2024/3/27 16:25
 * @desc
 */

public interface UserPurchaseGroupClient {

    /**
     * 根据用户id获取优先展示的采购组编码
     * @param userId 用户id
     * @return 采购组编码
     */
    public String getMarkPurchaseGroupCodeByUserId(Long userId);

    Set<String> getUserPurchaseGroupCode(Long userId);
}
